function init()
	gun.name = "Beam_fence"
	gun.fireDelay = 0
	gun.shotdamage = 2.5
	gun.shotknockback = -50		--slowdown; sets maxspeed of hit things to this
	gun.shotrange = 500
	gun.shotspeed = 2000			--for prediction
	
	return 0
end


function update()

	return 0
end


function fire()

	cornerangle = 70--the angle of the fence coming out of the ship
	for i = 0, 1 do
		
		theta = gun.firetheta - (cornerangle/2) + (cornerangle*i)

		bx = gun.owner.x + math.cos(math.rad(theta))*gun.shotrange
		by = gun.owner.y + math.sin(math.rad(theta))*gun.shotrange

		gun.cycleBeam(2)--get or make the next available beam
		stage.makeBeam(gun.beam, gun.owner, gun.firex, gun.firey, bx, by)
	end
	
	--gun.GFP("made beam!")
	--playSFX(getSound("gun_pew1.wav"),owner.x,owner.y)

	return 0
end

function shot_update()

	return 0
end